curl --request GET \
--url https://cloud.memsource.com/web/api2/v1/vendors/{vendorUid} \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/vendors/{vendorUid}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/vendors/{vendorUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"active": true,
"clients": [
{
"id": "<string>",
"name": "<string>",
"uid": "<string>"
}
],
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"role": "SYS_ADMIN",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2023-11-07T05:31:56Z",
"defaultProjectOwner": {
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>"
},
"domains": [
{
"id": "<string>",
"name": "<string>",
"uid": "<string>"
}
],
"id": "<string>",
"name": "<string>",
"netRateScheme": {
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"role": "SYS_ADMIN",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"uid": "<string>"
},
"priceList": {
"id": "<string>",
"name": "<string>",
"uid": "<string>"
},
"sourceLocales": [
"<string>"
],
"subDomains": [
{
"id": "<string>",
"name": "<string>",
"uid": "<string>"
}
],
"targetLocales": [
"<string>"
],
"timezone": "<string>",
"uid": "<string>",
"vendorToken": "<string>",
"workflowSteps": [
{
"id": "<string>",
"lqaEnabled": true,
"name": "<string>",
"order": 123,
"uid": "<string>"
}
]
}Get vendor
Authorizations
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Unique identifier of the vendor
Response
OK
A vendor organization connected to the current organization
When true, the vendor organization edition and subscription allow it to act as a vendor
Clients scoped to this vendor
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Date and time this vendor connection was created
Show child attributes
Show child attributes
Domains scoped to this vendor
Show child attributes
Show child attributes
Internal numeric identifier, encoded as a string
Display name of the vendor organization
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Source locale codes this vendor works with
Sub-domains scoped to this vendor
Show child attributes
Show child attributes
Target locale codes this vendor works with
Timezone of the vendor organization
Unique identifier used in API paths
Token used to identify and connect the vendor organization
Workflow steps scoped to this vendor
Show child attributes
Show child attributes
Was this page helpful?